> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neynar.com/llms.txt
> Use this file to discover all available pages before exploring further.

# deployErc721

Deploy ERC-721 collection

> **Group:** Onchain APIs

Use this when you need: **Deploy ERC-721 collection**.

## Usage

```ts theme={"system"}
import { NeynarAPIClient, Configuration } from "@neynar/nodejs-sdk";

const client = new NeynarAPIClient(
  new Configuration({ apiKey: "YOUR_NEYNAR_API_KEY" })
);

const res = await client.deployErc721({
  xWalletId: "example", // Wallet ID to use for transactions
  deployErc721Request: "value", // required
});
console.log(res);
```

## Parameters

| Parameter             | Type                  | Required | Description                       |
| --------------------- | --------------------- | :------: | --------------------------------- |
| `xWalletId`           | `string`              |     ✅    | Wallet ID to use for transactions |
| `deployErc721Request` | `DeployErc721Request` |     ✅    | -                                 |

## Response

Returns a `RequestArgs` object.

## Error Handling

```ts theme={"system"}
try {
  const res = await client.deployErc721({
    xWalletId: "example",
    deployErc721Request: "value"
  });
  // use res
} catch (err) {
  // Axios/HTTP errors, invalid params, auth issues, etc.
  console.error(err);
}
```

## Related API Reference

📖 **API Reference:** [deployErc721](/reference/deploy-erc721)

For detailed information about the HTTP endpoint, request/response schemas, and additional examples, see the complete API documentation.

## Tips

* Provide a **viewerFid** when supported to respect mutes/blocks and include `viewer_context`.
* Keep requests scoped (e.g., use `limit`) to improve latency.
* Cache results where sensible.


## Related topics

- [Deploy ERC-721 collection](/reference/deploy-erc721.md)
- [Deploy fungible](/reference/deploy-fungible.md)
- [deployFungible](/nodejs-sdk/onchain-apis/deployFungible.md)
- [deployToVercel](/nodejs-sdk/studio-apis/deployToVercel.md)
- [Deploy a Token with 1 API Call](/docs/deploy-token-on-base-with-api-call.md)
